For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get a Loop Link

Get an existing Loop Link.

get
Authorizations
AuthorizationstringRequired

Enter your PredictHQ API key. The Bearer prefix is added automatically.

When calling the API directly, send: Authorization: Bearer <YOUR_API_KEY> as documented at https://docs.predicthq.com/api/overview/authenticating

Path parameters
link_idstringRequired

An existing Loop Link ID.

Responses
200

Successful Response

application/json
link_idstringRequired

Loop Link Identifier.

E.g. ber7ntO0ZHuFVCfrSNsN

expire_dtstring · date-timeOptional

Date/time the Loop Link is set to expire in ISO 8601 format.

All dates are in UTC.

E.g. 2023-05-08T00:29:45.859Z

namestring · min: 1 · max: 120Required

Name of the Loop Link. This is for your own use as a way to differentiate your Loop Links.

E.g. Hotel ABC

Pattern: ^[a-zA-Z0-9 _-]+$
statusconst: activeRequired

Status of the loop link.

create_dtstring · date-timeRequired

Date/time the Loop Link was created in ISO 8601 format.

All dates are in UTC.

E.g. 2023-05-08T00:29:45.859Z

update_dtstring · date-timeOptional

Date/time the Loop Link was last updated in ISO 8601 format.

All dates are in UTC.

E.g. 2023-05-08T00:29:45.859Z

get/v1/loop/links/{link_id}
GET /v1/loop/links/{link_id} HTTP/1.1
Host: api.predicthq.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "link_id": "text",
  "expire_dt": "2026-01-01T00:00:00.000Z",
  "metadata": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "name": "text",
  "status": "text",
  "create_dt": "2026-01-01T00:00:00.000Z",
  "update_dt": "2026-01-01T00:00:00.000Z",
  "links": {
    "event": "https://example.com",
    "event_feedback": "https://example.com"
  }
}

Examples

curl -X GET "https://api.predicthq.com/v1/loop/links/$LINK_ID" \
     -H "Accept: application/json" \
     -H "Authorization: Bearer $API_TOKEN"
import requests

response = requests.get(
    url="https://api.predicthq.com/v1/loop/links/$LINK_ID",
    headers={
      "Authorization": "Bearer $API_TOKEN",
      "Accept": "application/json"
    }
)

print(response.json())

OpenAPI Spec

The OpenAPI spec for Loop API can be found here.

Guides

ow are some guides relevant to this API:

Last updated

Was this helpful?